Index: /trunk/gsdl/macros/home.dm
===================================================================
--- /trunk/gsdl/macros/home.dm	(revision 875)
+++ /trunk/gsdl/macros/home.dm	(revision 876)
@@ -22,7 +22,4 @@
 
 _iconnzdl_ {
-<p><img src="_httpimg_/new.gif">Welcome to our new look (still experimental). The old system is
-still up at <a href="http://www.nzdl.org/old">http://www.nzdl.org/old</a>
-<p><br>
 <img src="_httpiconnzdl_" width=_widthnzdl_ height=_heightnzdl_>}
 _icongbull_ {<img src="_httpicongbull_">}
@@ -58,5 +55,5 @@
 #######################################################################
 
-_pagetitle_ {Greenstone Digital Library}
+_pagetitle_ {_textpagetitle_}
 _imagethispage_ {}
 _imagecollection_ {<center>_iconnzdl_</center>}
@@ -94,4 +91,5 @@
 </td></tr></table>
 </td></tr></table>
+_textotherinfo_
 _iconblankbar_
 <table><tr valign=top>
@@ -109,106 +107,10 @@
 #######################################################################
 
-_documents_ { documents. }
-_lastupdate_ {Last updated}
-_ago_ {days ago.}
-_colnotbuilt_ {Collection not built.}
+# moved to english.dm
 
-_textpeople_ {People}
-_textfb_ {Feedback}
-_textpub_ {Publications}
-_texttec_ {Technology}
-_textrw_ {Related Work}
-_textinfosheet_ {Info Sheet}
-_textscreenshots_ {Screen Shots}
-_textnpepainfosheet_ {Niupepa Info Sheet}
 
-_textprojhead_ {The New Zealand Digital Library Project}
 
-_textprojinfo_ {
-<h4>The NZDL system</h4>
 
-<p> The New Zealand Digital Library system comprises several demonstration
-collections -- computer science technical reports and bibliographies, literary
-works, humanitarian and development information, magazines -- and makes them
-available over the Web through full-text interfaces.  Behind the query
-interface lies a huge collection providing gigabytes of information.  We hope
-you find what you want, or at least something intriguing!
 
-<h4>The Greenstone software</h4>
 
-<p> The Greenstone Digital Library software provides a new way of organizing
-information and making it available over the Internet.  A <i>collection</i> of
-information comprises several (typically several thousand, or even several
-million) <i>documents</i>, which share a uniform searching and browsing
-interface.  The collections in a library are organized in a different
-way--though they share a strong family resemblance.  Although primarily
-designed for access over the Web, Greenstone collections can be made available,
-in precisely the same form, on CD-ROM for standalone PCs.  Greenstone is
-open-source software, available under the terms of the Gnu public linense.
- 
-<h4>The research</h4>
 
-<p> The goal of our research program is to explore the potential of
-internet-based digital libraries.  Our vision is to develop systems that
-automatically impose structure on anarchic, uncatalogued, distributed
-repositories of information, thereby providing information consumers with
-effective tools to locate what they need and to peruse it conveniently and
-comfortably.  Our research objectives are to
-
-<ul>
-  <li> develop technology for creating and automatically
-      maintaining collections;
-  <li> monitor usage to study library users' needs;
-  <li> look at novel interfaces that cater to a wide spectrum of users;
-  <li> find ways to abstract layout and bibliographic information
-      from document files;
-  <li> use this information to enhance presentation and for
-      bibliometric research;
-  <li> assess potential subject areas for public-domain collections;
-  <li> survey and critique other digital library projects.
-</ul>
-
-<h4>DigiLib Systems Limited</h4>
-
-<p><a href="http://www.digilibs.com/">DigiLib Systems Limited</a> is an
-innovative software company that creates international digital libraries.
-As a major contributor to the Greenstone Digital Library Software they are
-able to build, customize, and extend digital libraries to meet exacting needs.
-Please <a href="mailto:contact@digilibs.com">contact</a> them for an obligation
-free quote.
-
-}
-
-_textpoem_ {
-<br><h2 align=left>Kia papapounamu te moana</h2>
-
-        <p>kia hora te marino,
-        <br>kia tere te karohirohi,
-        <br>kia papapounamu te moana
-
-        <p>may peace and calmness surround you,
-        <br>may you reside in the warmth of a summer's haze,
-        <br>may the ocean of your travels be as smooth as the polished greenstone.
-}
-
-_textgreenstone_ {
-<p><br>
-Greenstone is a semi-precious stone that (like this software) is sourced in
-New Zealand.  In traditional Maori society it was the most highly prized and
-sought after of all substances.  It can absorb and hold <i>wairua</i>, which is
-a spirit or life force, and is endowed with traditional virtues that make it an
-appropriate emblem for a public-domain digital library project.  Its lustre
-shows charity; its translucence, honesty; its toughness, courage; and the sharp
-edge it can take, justice.  The carved piece used in the Greenstone Digital
-Library Software logo is a <i>patu</i> or fighting club, and is a family
-heirloom of one of our project members.  In hand-to-hand combat its delivery is
-very quick, very accurate, and very complete.  We like to think these qualities
-also apply to our software, the razor sharp edge of the <i>patu</i> symbolizing
-the leading edge of technology.
-
-<p><a href="mailto:greenstone@cs.waikato.ac.nz">Greenstone Digital Library Software</a>
-<br><a href="http://www.cs.waikato.ac.nz/cs">Computer Science Department</a>, 
-<a href="http://www.waikato.ac.nz">University of Waikato</a>, New Zealand
-
-<br>October 1999
-}
Index: /trunk/gsdl/macros/html.dm
===================================================================
--- /trunk/gsdl/macros/html.dm	(revision 875)
+++ /trunk/gsdl/macros/html.dm	(revision 876)
@@ -11,9 +11,9 @@
 
 _content_ {
-<frameset rows="50,*" noresize border=0>
+<frameset rows="68,*" noresize border=0>
   <frame frameborder=0 src="_gwcgi_?e=_compressedoptions_&a=p&p=nav">
   <frame frameborder=0 src="_cgiarghp_">
   <noframes>
-  <p>You must have a frame enabled browser to view this.</p>
+  <p>_textframebrowser_</p>
   </noframes>
 </frameset>
@@ -23,10 +23,26 @@
 package nav
 
-_header_ {<html>
+_header_ {_cgihead_
+_htmlhead_
+<center>
+<table width=_pagewidth_><tr><td align=right>
+_javalinks_</td></tr></table>
+</center>
+}
+
+_faoheader_ [v=1] {_cgihead_
+_htmlhead_
+_javalinks_
+}
+
+_htmlhead_ {
+<html>
 <head>
+<title>_pagetitle_</title>
 <base target="_top">
 _globalscripts_
 </head>
-<body bgcolor="\#ffffff" text="\#000000" link="\#006666"
+
+<body bgcolor="\#ffffff" text="\#000000" link="\#006666" 
       alink="\#cc9900" vlink="\#666633">
 }
@@ -38,7 +54,13 @@
 _content_ {
 <center>
-<br>
 _navigationbar_
 </center>
 }
 
+
+
+
+
+
+
+
Index: /trunk/gsdl/macros/maori.dm
===================================================================
--- /trunk/gsdl/macros/maori.dm	(revision 876)
+++ /trunk/gsdl/macros/maori.dm	(revision 876)
@@ -0,0 +1,257 @@
+
+package about
+
+_textabcol_ [l=mi] {He kupu whakam&auml;rama i te kohikohinga niupepa}
+
+########################################################################
+package Global
+
+_textimagehelp_ [l=mi] {Te wh&auml;rangi whakam&auml;rama}
+_textimagepref_ [l=mi] {Te wh&auml;rangi o ng&auml; whiriwhiringa}
+_textimagehome_ [l=mi] {Te wh&auml;rangi k&auml;inga}
+_textimagesearch_ [l=mi] {rapua he kupu}
+_textimagebrowseseries_ [l=mi] {Tirohia te whakar&auml;rangi o ng&auml; niupepa}
+_textimagebrowsedates_ [l=mi] {Tirohia te w&auml; i puta mai ai ng&auml; niupepa}
+
+_page_ [l=mi] {wh&auml;rangi }
+_vol_ [l=mi] {Pukapuka}
+_num_ [l=mi] {Nama}
+_textmonth01_ [l=mi] {Hanuere}
+_textmonth02_ [l=mi] {Pepuere}
+_textmonth03_ [l=mi] {Maehe}
+_textmonth04_ [l=mi] {Aperira}
+_textmonth05_ [l=mi] {Mei}
+_textmonth06_ [l=mi] {Hune}
+_textmonth07_ [l=mi] {Hurae}
+_textmonth08_ [l=mi] {Akuhata}
+_textmonth09_ [l=mi] {Hepetema}
+_textmonth10_ [l=mi] {Oketopa}
+_textmonth11_ [l=mi] {Noema}
+_textmonth12_ [l=mi] {Tihema}
+_of_ [l=mi] { i te }
+
+
+_texticontabsearchgreen_ [l=mi] {rapu}
+_texticontabdatesgreen_ [l=mi] {w&auml;taka}
+_texticontabseriesgreen_ [l=mi] {whakar&auml;rangi niupepa}
+_texticonnext_ [l=mi] {titiro ki te wh&auml;rangi o muri}
+_texticonprev_ [l=mi] {titiro ki te wh&auml;rangi o mua}
+_texticontext_ [l=mi] {Tirohia te wh&auml;rangi}
+
+_textimageSeries_ [l=mi] {Tirohia te whakar&auml;rangi taitara}
+_textimageDate_ [l=mi] {Tirohia te whakar&auml;rangi w&auml;taka}
+
+###################################################################
+
+package document
+
+_texticondetach_ [l=mi] {Huakina mai he matapihi hou m&ouml; t&euml;nei k&ouml;rero}
+_texticonexpandtext_ [l=mi] {Titiro ki ng&auml; kupu katoa o t&euml;nei niupepa}
+_texticoncontracttext_ [l=mi] {Titiro ki ng&auml; kupu o t&euml;nei wh&auml;rangi anake}
+_texticonopenbookshelf_ [l=mi] {k&auml;tia}
+_texticonclosedbookshelf_ [l=mi] {whakat&uuml;whera mai}
+_texticonclosedbook_ [l=mi] {whakat&uuml;whera mai}
+_texticonopenbook_ [l=mi] {k&auml;tia}
+_texticonpointer_ [l=mi] {w&auml;hanga e tiro ana}
+_texticonhighlight_ [l=mi] {Kia p&uuml;kaha ng&auml; kupu rapu}
+_texticonnohighlight_ [l=mi] {Kia kore he p&uuml;kaha}
+_texticonsmalltext_ [l=mi] {He wh&auml;rangi niupepa}
+_texticonclosedfolder_ [l=mi] {He k&ouml;paki}
+
+####################################################################
+
+package help
+
+_texttanumbrowseoptions_ [l=mi] {E _numbrowseoptions_ ng&auml; huarahi hei rapu k&ouml;rero i te kohikohinga niupepa}
+
+_textHelp_ [l=mi] {&Auml;whina}
+_textSearchshort_ [l=mi] {rapua he kupu}
+
+_textSeriesshort_ [l=mi] {tirohia te whakar&auml;rangi taitara}
+
+_textDateshort_ [l=mi] {tirohia te whakar&auml;rangi e p&auml; ana ki te w&auml;}
+
+
+_textSearchlong_ [l=mi] {
+<p>Ko te wh&auml;rangi rapu te wh&auml;rangi <i>e rapu atu ai ng&auml; kupu</i> i roto
+i ng&auml; tuhinga. Kia puta mai ai t&euml;nei wh&auml;rangi, i a koe e titiro ana ki 
+te kohinga niupepa nei p&auml;whiritia te p&auml;tene <i>rapu</i>.
+}
+
+
+_textSerieslong_ [l=mi] {
+<p>Kia <i>tirohia te whakar&auml;rangi taitara</i> p&auml;whiritia te p&auml;tene 
+<i>whakar&auml;rangi taitara</i>. Ka puta mai te whakar&auml;rangi o ng&auml;
+niupepa e p&auml; ana ki ng&auml; taitara.
+}
+
+_textDatelong_ [l=mi] {<p>Kia <i>tirohia te whakar&auml;rangi e p&auml; ana ki te w&auml;</i> p&auml;whiritia te
+p&auml;tene <i>w&auml;taka</i>. Ka puta mai te whakar&auml;rangi o ng&auml; niupepa
+e p&auml; ana ki te w&auml; i puta mai ai aua niupepa.
+}
+
+_texthelptopics_ [l=mi] {
+<h2 align=left>Kaupapa</h2>
+<ul>
+  <li><a href="\#finding-information">Ng&auml; huarahi hei rapu k&ouml;rero</a>
+  <li><a href="\#reading-books">Te p&auml;nui niupepa/kupu whakataki</a>
+  <li><a href="\#searching">Te rapu kupu</a>
+<ul>
+  <li><a href="\#query-terms">Ng&auml; kupu hei rapu</a>
+  <li><a href="\#query-type">Ng&auml; t&uuml;momo rapu</a>
+  <li><a href="\#scope-of-queries">Te wh&auml;nui o te rapu</a>
+  <li><a href="\#stemming">Ng&auml; p&uuml; matua, p&uuml; iti me ng&auml; k&uuml;muri hoki</a>
+</ul>
+</ul>
+}
+
+_texthelpsearching_ [l=mi] {
+<h2>Te rapu kupu</h2>
+<p>
+  Ko te wh&auml;rangi rapu te wh&auml;rangi hei rapu kupu. Ka puta mai taua wh&auml;rangi ka
+  whai mai &euml;nei k&ouml;kiri kia rapu ai i (t)&euml;tehi kupu:<p>	
+
+  <ol><li>K&ouml;whiritia ko ng&auml; niupepa, ko ng&auml; kupu whakataki r&auml;nei, 
+	ko ng&auml; r&auml;popoto reo P&auml;keh&auml;, ko aua mea e toru r&auml;nei
+      <li>K&ouml;whiritia ko &euml;tehi o ng&auml; kupu rapu, ko te katoa r&auml;nei o ng&auml;
+          kupu rapu
+      <li>Tuhia ng&auml; kupu rapu
+      <li>Pat&ouml;hia te p&auml;tene <i>Rapua</i>
+  </ol>
+<p>Ka tukua te rapu ka hoki mai ng&auml; pukapuka rua tekau e p&auml; ana ki &auml;u kupu rapu.
+He p&auml;tene kei raro r&auml; o te wh&auml;rangi hei titiro ai ki ng&auml; pukapuka 21 ki te
+40 e p&auml; ana ki &auml;u kupu rapu. M&auml; &euml;nei p&auml;tene kei raro r&auml; ka taea
+te tirohia te katoa o ng&auml; wh&auml;rangi e p&auml; ana ki t&auml;u i rapu ai.
+
+<p>Ka kore e nuku atu i te 100 o ng&auml; pukapuka ka kitea i t&euml;tehi rapunga. Heoi an&auml;
+ka taea te whakarerek&euml; t&euml;nei nama i te wh&auml;rangi whiriwhiringa.
+
+<p>
+<a name=query-terms>
+_iconblankbar_<br>
+
+<h3>Ng&auml; kupu hei rapu</h3>
+
+<p>Koia nei ng&auml; kupu ka tuhia ki roto i te pouaka rapu. Me tuhi ko ng&auml; reta me ng&auml;
+nama anak&euml;. Kaua e tuhia ng&auml; tohu t&ouml;, he uaua te kite i ng&auml; tohu t&ouml; i roto 
+i ng&auml; niupepa. Me noho te mokow&auml; (w&auml;hi w&auml;tea) i waenganui i ng&auml; kupu.
+Kaua e tuhi ng&auml; tuhutuhi (p&euml;r&auml; i te "?" me te "/"), ka tangohia aua tohu e te
+rorohiko nei, ka whakauru ko te mokow&auml;.
+
+<p>Hei tauira, ki te tuku atu i &euml;nei kupu rapu;
+    <ul><kbd>huihuinga-a-motu / Whanganui (1860-1885)</kbd></ul>
+       <p>ka rapua k&euml;tia e te rorohiko &euml;nei kupu;
+    <ul><kbd>huihuinga a motu Whanganui 1860 1885</kbd></ul><p>
+
+<p>
+<a name=query-type>
+_iconblankbar_<br>
+
+<h3>Ng&auml; T&uuml;momo Rapu</h3>
+
+<p><ul>E rua ng&auml; t&uuml;momo rapu<p>
+
+  <li>Ka rapua te <b>katoa</b> o &auml;u kupu rapu. Ka rapua ng&auml; pukapuka e mau ana i te katoa
+      o ng&auml; kupu rapu kua tuhia e koe. Ka whakaatu mai aua pukapuka e p&auml; ana ki te 
+      whakar&auml;rangi-&auml;-p&uuml;.
+
+  <li>Ka rapua <b>&euml;tehi</b> o &auml;u kupu rapu. N&ouml; reira, me tuhi noa he kupu e p&auml;
+      ana ki te kaupapa e hiahia ana koe. Ka whakar&auml;rangitia ng&auml; pukapuka e p&auml; ana
+      ki te ritenga ki &auml;u kupu rapu. Ar&auml;, ka puta tuatahitia mai ng&auml; pukapuka;	 
+
+      <p><ul>
+        <li> e mau ana i te maha o &auml;u kupu rapu;
+        <li> e mau ana i ng&auml; kupu uaua te kite o &auml;u kupu rapu;
+        <li> e iti ana, ka whai mai ko ng&auml; pukapuka nui.
+      </ul>
+
+      <p>Me tuhi i te maha o ng&auml; kupu rapu kia arahina te rapu ki t&ouml; ake hiahia.
+</ul>
+
+<p>
+<a name=other-options><a name=scope-of-queries>
+_iconblankbar_<br>
+
+_texthelpscope_
+
+<h3 align=left>Ng&auml; p&uuml; matua, p&uuml; iti me ng&auml; k&uuml;muri hoki</h3>
+
+<p>Pat&ouml;hia te p&auml;tene whiriwhiringa kia puta mai ai te wh&auml;rangi e p&auml;
+ana ki ng&auml; p&uuml; matua, p&uuml; iti me ng&auml; k&uuml;muri hoki. Ka h&auml;ngai
+te whiriwhiringa tuatahi ki ng&auml; p&uuml; matua me ng&auml; p&uuml; iti. &Auml;e
+r&auml;nei, me tika te p&uuml; matua me te p&uuml; iti, k&auml;ore r&auml;nei, hei aha
+te &auml;ta titiro ki ng&auml; p&uuml; matua me ng&auml; p&uuml; iti. Ka h&auml;ngai te
+whiriwhiringa tuarua ki ng&auml; k&uuml;muri o te kupu. &Auml;e r&auml;nei, me tino
+&ouml;rite te k&uuml;muri, k&auml;ore r&auml;nei, hei aha te &auml;ta titiro ki ng&auml; 
+k&uuml;muri o ng&auml; kupu. M&ouml; ng&auml; kupu P&auml;keh&auml; anak&euml; te 
+whiriwhiringa k&uuml;muri.
+
+<p>Hei tauira, mehemea ka k&ouml;whiritia te <i>hei aha te p&uuml; matua me te p&uuml;
+iti</i>, &auml;, ka k&ouml;whiritia hoki te <i>hei aha te k&uuml;muri o te kupu</i>
+k&auml;tahi ka tukua &euml;nei kupu hei rapu;
+<p>
+  <ul><kbd>Aotearoa building</kbd></ul>
+    <p>ka &ouml;rite te whakahoki mai o ng&auml; pukapuka ki &euml;nei kupu rapu
+  <ul><kbd>aotearoa builds</kbd></ul>
+<p>ka p&euml;nei i te mea, k&auml;ore te rapu i te &auml;ta titiro mehemea he p&uuml;
+matua, he p&uuml; iti r&auml;nei, &auml, ka tangohia ng&auml; k&uuml;muri (p&euml;r&auml;
+i te "ing", me te "s") i t&euml;nei whiriwhiringa.
+
+}
+
+_textsimplehelpheading_ [l=mi] {Ng&auml; huarahi hei rapu k&ouml;rero}
+
+_textnextbutton_ [l=mi] {Haere whakamua}
+_textprevbutton_ [l=mi] {Haere whakamuri}
+
+
+#######################################################################
+
+package query
+
+
+_texticonthispage_ [l=mi] {rapu}
+_textsome_ [l=mi] {&euml;tehi}
+_textall_ [l=mi] {_If_(_cgiargb_,te boolean,katoa)}
+_textbeginsearch_ [l=mi] {Rapua}
+_textfreqmsg1_ [l=mi] {Kia hia ng&auml; kupu: }
+_textmorethan_ [l=mi] {Neke atu i te }
+_textnodocs_ [l=mi] {k&auml;ore he pukapuka e p&auml; ana ki &auml;u kupu rapu.}
+_text1doc_ [l=mi] {1 te pukapuka e p&auml; ana ki &auml;u kupu rapu.}
+_textlotsdocs_ [l=mi] {ng&auml; pukapuka e p&auml; ana ki &auml;u kupu rapu.}
+_textmatches_ [l=mi] {Kitenga }
+_textstemon_ [l=mi] { (hei aha te k&uuml;muri)}
+
+_textsimplesearch_ [l=mi] {Tirohia ki _If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) m&ouml; _querytypeselection_ o ng&auml; kupu}
+
+_textadvancedsearch_ [l=mi] {Tirohia ki_If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
+m&ouml; _querytypeselection_ o ng&auml; kupu}
+
+################################################################################
+
+package preferences
+
+_textpreferences_ [l=mi] {Whiriwhiringa}
+_textignorecase_ [l=mi] { hei aha te p&uuml; matua me te p&uuml; iti}
+_textmatchcase_ [l=mi] { me tika te p&uuml; matua me te p&uuml; iti}
+_textstem_ [l=mi] { hei aha te k&uuml;muri}
+_textnostem_ [l=mi] { me tika te k&uuml;muri}
+_textprefop_ [l=mi] {Whakahokia mai te _maxdocoption_ kupu, &auml;, kia _hitsperpageoption_ kupu ki ia wh&auml;rangi.}
+_textlanguage_ [l=mi] {Reo: }
+_textencoding_ [l=mi] {Whakatakotoranga p&uuml;: }
+_textformat_ [l=mi] {Whakatakotoranga wh&auml;rangi: }
+_textsimplemode_ [l=mi] {te rapu wh&auml;iti}
+_textadvancedmode_ [l=mi] {te rapu wh&auml;nui (ka taea te whakamahia ng&auml; p&uuml; boolean, 
+p&euml;r&auml; i te !, &, |, me te "()" hoki)}
+_textgraphical_ [l=mi] {Whakaahua}
+_texttextual_ [l=mi] {K&auml;ore he whakaahua}
+
+
+
+
+
+
+
+
+
+
Index: /trunk/gsdl/macros/mg.dm
===================================================================
--- /trunk/gsdl/macros/mg.dm	(revision 876)
+++ /trunk/gsdl/macros/mg.dm	(revision 876)
@@ -0,0 +1,130 @@
+package mg
+
+#######################################################################
+# java images/scripts
+#######################################################################
+
+# the _javalinks_ macros are the flashy image links at the top right of
+# the page. 
+
+_javalinks_ {_imagehome_}
+_javalinks_ [v=1] {
+_imagehome_<br>
+}
+
+
+#######################################################################
+# icons
+#######################################################################
+
+_iconhmg_ {<img src="_httpiconhmg_" width=_widthhmg_ height=_heighthmg_}
+
+#######################################################################
+# http macros 
+#
+# These contain the url without any quotes
+#######################################################################
+
+_httpiconhmg_ {_httpimg_/h\_mg.gif}
+_widthhmg_ {200}
+_heighthmg_ {57}
+
+
+#######################################################################
+# page content
+#######################################################################
+
+_pagetitle_ {NZDL: MG}
+
+_imagethispage_ {_iconhmg_}
+
+_content_ {
+_iconblankbar_
+
+<p><i>MG</i> is a freely-available full-text retrieval system that
+makes efficient use of disk resources by storing the index, and the
+text that is indexed, in compressed form. The <i>MG</i> system is 
+described in the eponymous book 
+<a href="http://www.cs.mu.oz.au/mg/"><i>Managing
+Gigabytes</i></a>. To meet
+the needs of The New Zealand Digital Library we have made a number
+of improvements to the standard <i>MG</i> distribution. These
+improvements are being made available as <i>MG-1.3</i>.
+
+<p><i>MG-1.3</i> offers:
+
+<dl>
+
+<dt><b>Flexible stemming methods</b>
+<dd>Different stemming methods can be used in the same collection. In the
+original version a collection could only use a single stemming method, now
+all four combinations of stemming and casefolding can be used in queries.
+This can be applied to whole queries as well as individual words.
+
+<dt><b>Weighting terms</b>
+<dd>Weightings can be applied to individual terms in a ranked query. This
+allows a user to influence the order that documents are returned with
+documents with the higher rated words nearer the top.
+
+<dt><b>Term frequencies</b>
+<dd>The number of times each query term appears in the collection can be
+displayed during a query. 
+
+<dt><b>Decompression of text</b>
+<dd>A small program is included in the distribution which allows you to
+decompress all the text with the document and paragraph breaks inserted
+at all the right places. With minimal programming you could then rebuild
+the collection from the compressed text.
+
+<dt><b>Merging of level 3 indexes</b>
+<dd>In the original version merging indexes was only implemented for
+level 2 indexes. We have extended this to also include level 3 indexes.
+
+<dt><b>Machine independant indexes</b>
+<dd>The indexes are now always written using network byte ordering, which
+is big endian. This means that indexes built on little endian machines can
+be used on big endian machines providing the two machines have data types
+the same length and use the same floating point formats.
+
+<dt><b>Port to MSDOS</b>
+<dd>A port of <i>MG</i> to MSDOS with 32 bit processing has also been
+incorporated into the distribution. This port allows <i>MG</i> to be
+compiled on Windows95 and WindowsNT.
+
+</dl>
+<br>
+
+<h3>Installing MG-1.3</h3>
+
+Installing <i>MG-1.3</i> on unix systems is the same as the standard 
+distribution.
+
+<ul>
+
+<li>Download the <a href="http://www.nzdl.org/technology/mg-1.3f.tar.gz"><i>MG-1.3f</i></a>
+distribution.
+<li>Change your current working directory to where the distribution was unpacked and
+type &quot;<tt>./configure --prefix=`pwd`;</tt>&quot;. When the configure script has finished
+running type &quot;<tt>make</tt>&quot; and then &quot;<tt>make install</tt>&quot;.
+<li>Test the installation by typing &quot;<tt>make check</tt>&quot;.
+
+</ul>
+
+If you have trouble during installation procedure see the INSTALL instructions
+included with the distribution.
+
+<p>Installing <i>MG-1.3f</i> on 32-bit MSDOS operating systems currently consists of
+typing &quot;nmake win32.mak&quot; in both the lib and src&\#092;text directories.
+The makefiles may need some work depending on your compiler.
+
+<p><br>
+
+<h3>Bugs</h3>
+
+<p>Please report problems specific to <i>MG-1.3</i> to the <a
+href="mailto:nzdl@cs.waikato.ac.nz">New Zealand Digital Library
+administrator</a>. For general problems mail the
+<a href="http://www.cs.mu.oz.au/mg/"><i>MG</i>
+mailing list</a> which services a community of experienced <i>MG</i>
+users.
+}
Index: /trunk/gsdl/macros/people.dm
===================================================================
--- /trunk/gsdl/macros/people.dm	(revision 876)
+++ /trunk/gsdl/macros/people.dm	(revision 876)
@@ -0,0 +1,84 @@
+package people
+
+
+#######################################################################
+# java images/scripts
+#######################################################################
+
+# the _javalinks_ macros are the flashy image links at the top right of
+# the page. 
+
+_javalinks_ {_imagehome_}
+_javalinks_ [v=1] {
+_imagehome_<br>
+}
+
+
+#######################################################################
+# icons
+#######################################################################
+
+_iconhpeople_ {<img src="_httpiconhpeople_" width=_widthhpeople_ height=_heighthpeople_}
+
+#######################################################################
+# http macros 
+#
+# These contain the url without any quotes
+#######################################################################
+
+_httpiconhpeople_ {_httpimg_/h\_people.gif}
+_widthhpeople_ {200}
+_heighthpeople_ {57}
+
+
+#######################################################################
+# page content
+#######################################################################
+
+_pagetitle_ {_textpagetitle_}
+
+_imagethispage_ {_iconhpeople_}
+
+
+_content_ {
+_iconblankbar_
+<table border=0 cellpadding=5>
+<tr><td valign=top>
+_textsawnzdl_
+<br>
+_textstafftable_(width=200)
+</td></tr>
+
+<tr><td valign=top>
+_texttrsaawp_
+<br>
+_textgstable_(width=200)
+</td></tr>
+
+<tr><td valign=top>
+_textaffiliates_
+<br>
+_textaffiliatetable_(width=200)
+</td></tr>
+
+<tr><td valign=top>
+
+_texttpcsp_
+<br>
+_textconttable_(width=200)
+</table>
+}
+
+
+###############################################################################
+# English Language Text Macros
+###############################################################################
+
+
+#moved to english.dm
+
+
+
+
+
+
